Foreman - Refactor #31060
Tracker # 30160 (New): Extract Puppet ENC to a plugin
Tracker # 30173 (Closed): Extract Puppet Environments to a plugin
Extract Environments migrations
10/12/2020 10:35 PM - Ondfej Ezr

Status: Closed
Priority: Normal
Assignee: Ondrej Ezr
Category: Puppet integration
Target version: 3.1.0
Difficulty: Fixed in Releases: 3.1.0
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/8790,
https://github.com/theforeman/foreman/p
ull/8849,
https://github.com/theforeman/foreman/p
ull/8865
Description

Related issues:
Blocked by Katello - Refactor #33561: Remove migration adding column to envir... Closed

Associated revisions

Revision 8c3d16e0 - 10/14/2021 01:00 PM - Ondfej Ezr

Fixes #31060 - drop Environments migrations

Drops all migrations related to environments.

Removes all the relations to the environments.

Adds a migration to drop environments from Hostgroup and Host.

Extracted in https:/github.com/theforeman/foreman_puppet_enc/pull/41.

Revision 5e14256e - 10/17/2021 09:13 AM - Tomer Brisker

Refs #31060 - Move environment cleanup to rake task

Revision 22780a74 - 10/26/2021 01:25 PM - Ondfej Ezr

Refs #31060 - drop also environment_classes

History

#1 - 10/12/2020 10:36 PM - Ondfej Ezr

- Subject changed from Extract migrations to Extract Environments migrations

#2 - 09/22/2021 11:04 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Ondrej Ezr

- Pull request https://github.com/theforeman/foreman/pull/8790 added

#3 - 09/24/2021 09:02 AM - Ondfej Ezr

- Blocked by Refactor #33561: Remove migration adding column to environments added

#4 - 10/13/2021 11:09 AM - Ondfej Ezr

05/17/2024 1/2



https://github.com/theforeman/foreman_puppet_enc/pull/41

- Target version set to 3.1.0

#5 - 10/14/2021 01:01 PM - The Foreman Bot
- Fixed in Releases 3.1.0 added

#6 - 10/14/2021 02:01 PM - Ondrej Ezr
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|8c3d16e0a6dd890c88c79b4ab51dc8298f7fef64.

#7 - 10/17/2021 08:06 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/8849 added

#8 - 10/21/2021 09:21 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/8865 added
